Subject: ViewHelper exceptions should not be caught in testing context
Description

Associated revisions
Revision 166e7e54 - 2012-06-07 09:19 - Sebastian Kurfuerst

[BUGFIX] ViewHelper exceptions should not be caught in testing context

While it is correct that ViewHelper exceptions are silently logged in
production context, they should be displayed in development and testing
context; and not only in development context.

Fixes: #37671
Releases: 1.1, 1.2
Change-Id: Ic7aab3a3a27f5d8333a98fc07647070d23f0f280

Revision 5a75ed88 - 2012-06-12 16:25 - Sebastian Kurfuerst

[BUGFIX] ViewHelper exceptions should not be caught in testing context

While it is correct that ViewHelper exceptions are silently logged in
production context, they should be displayed in development and testing
context; and not only in development context.

Fixes: #37671
Releases: 1.1, 1.2
Change-Id: Ic7aab3a3a27f5d8333a98fc07647070d23f0f280

History
#1 - 2012-06-01 10:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11787

#2 - 2012-06-07 11:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11787
#3 - 2012-06-07 18:37 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:166e7e54a8ff03e44cd5e692e273894280594b32.

#4 - 2012-06-12 16:25 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11995

#5 - 2012-06-12 16:37 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved

Applied in changeset commit:5a75ed885661b11d73715acc82922936b438f0b1.
